summaryrefslogtreecommitdiff
path: root/package/base-files/au1000/sbin/mount_root
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2006-11-03 22:03:50 +0000
committerFelix Fietkau <nbd@openwrt.org>2006-11-03 22:03:50 +0000
commit86e2fbaaa4fc7a71dd99498624d249153ccc2954 (patch)
treec8c669c1edd5167a54f989841b176d00447e8371 /package/base-files/au1000/sbin/mount_root
parentc9dcbd5531225af936844b9a484dc384f688bebb (diff)
downloadmtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.zip
mtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.tar.gz
mtk-20170518-86e2fbaaa4fc7a71dd99498624d249153ccc2954.tar.bz2
rename the <boardname>-<kernelversion> directories of base-files to just <boardname>, so that the broadcom stuff can share files across kernel versions. adding back <boardname>-<kernelversion> for version specific overrides is still possible
SVN-Revision: 5427
Diffstat (limited to 'package/base-files/au1000/sbin/mount_root')
-rwxr-xr-xpackage/base-files/au1000/sbin/mount_root26
1 files changed, 26 insertions, 0 deletions
diff --git a/package/base-files/au1000/sbin/mount_root b/package/base-files/au1000/sbin/mount_root
new file mode 100755
index 0000000..718394c
--- /dev/null
+++ b/package/base-files/au1000/sbin/mount_root
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
+mount none /proc -t proc
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-